Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.NoMMap Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, Berkeley DB copies read-only database files into the local cache instead of potentially mapping them into process memory (see MMapSize for further information).

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool NoMMap

Visual Basic (Declaration)
    Public NoMMap As Boolean

Visual C++
    public:
    bool NoMMap

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace